Merge "adding change discovery tool to run and display merged patches from the runnin...
authorJamo Luhrsen <jluhrsen@redhat.com>
Fri, 20 Jan 2017 18:27:39 +0000 (18:27 +0000)
committerGerrit Code Review <gerrit@opendaylight.org>
Fri, 20 Jan 2017 18:27:39 +0000 (18:27 +0000)
33 files changed:
jenkins-scripts/robot.sh
jjb/autorelease/include-raw-autorelease-maven-deploy.sh
jjb/bgpcep/bgpcep-csit-bgp-ingest.yaml
jjb/bgpcep/bgpcep-csit-bgpclustering.yaml
jjb/bgpcep/bgpcep-csit-throughpcep.yaml
jjb/bgpcep/bgpcep-csit-userfeatures.yaml
jjb/docs/docs-post-rtd.sh [new file with mode: 0644]
jjb/docs/docs-rtd.yaml
jjb/genius/genius-csit-genius.yaml
jjb/groupbasedpolicy/groupbasedpolicy-csit-3node.yaml
jjb/groupbasedpolicy/groupbasedpolicy-csit-6node.yaml
jjb/integration/integration-test-jobs.yaml
jjb/lacp/lacp-csit-lacp.yaml
jjb/openflowplugin/openflowplugin-csit-bulkomatic-clustering-perf-daily.yaml
jjb/openflowplugin/openflowplugin-csit-bulkomatic-perf-daily.yaml
jjb/openflowplugin/openflowplugin-csit-clustering.yaml
jjb/openflowplugin/openflowplugin-csit-flow-services-frs.yaml
jjb/openflowplugin/openflowplugin-csit-flow-services-old.yaml
jjb/openflowplugin/openflowplugin-csit-flow-services.yaml
jjb/openflowplugin/openflowplugin-csit-link-scalability-daily.yaml
jjb/openflowplugin/openflowplugin-csit-longevity.yaml
jjb/openflowplugin/openflowplugin-csit-restconf-clustering-perf-daily.yaml
jjb/openflowplugin/openflowplugin-csit-restconf-perf-daily.yaml
jjb/openflowplugin/openflowplugin-csit-sw-scalability-daily.yaml
jjb/releng-defaults.yaml
jjb/releng-jobs.yaml
jjb/releng-macros.yaml
jjb/unimgr/unimgr-csit-legato.yaml
jjb/vtn/vtn-csit-3node-manager.yaml
jjb/vtn/vtn-csit-coordinator.yaml
jjb/vtn/vtn-csit-manager.yaml
packer/provision/baseline.sh
packer/provision/robot.sh

index e918d6318e132c9d40e00461c15fcc2f91be3270..31e81622ca51b3f7b4f631c8cf65ac34d9fe260f 100755 (executable)
@@ -9,10 +9,6 @@ EOF
 yum clean all
 yum install -y -q python-netaddr
 
-##  TODO: Remove this, temporary until we can rebuild and deploy Robot
-##        successfully with packer. JQ is needed by our Heat deployment scripts.
-yum install -y -q jq
-
 ## Install docker-py
 yum install -y -q python-docker-py
 
index 149d87ab676d7b2cc69266ac132bf1101cc2986a..4264fc30649f0c75dbfb400df279b4b59191a874 100644 (file)
@@ -22,7 +22,8 @@ NEXUS_STAGING_URL=${ODLNEXUS_STAGING_URL:-$ODLNEXUSPROXY}
 NEXUS_STAGING_PROFILE=${ODLNEXUS_STAGING_PROFILE:-425e43800fea70}
 NEXUS_STAGING_SERVER_ID=${ODLNEXUS_STAGING_SERVER_ID:-"opendaylight.staging"}
 
-rsync -avz --exclude 'maven-metadata*' \
+rsync -avz --remove-source-files \
+           --exclude 'maven-metadata*' \
            --exclude '_remote.repositories' \
            --exclude 'resolver-status.properties' \
            "stage/org/opendaylight" m2repo/org/
index 82bcf9286d9e564dbb81beee00e03f1c24474a73..c6d3a16eb7fabe7288492d4a2e3f2a7f959f5911 100644 (file)
@@ -32,7 +32,7 @@
             scope: 'all'
 
     # Features to install
-    install-features: 'odl-restconf,odl-bgpcep-data-change-counter,odl-bgpcep-bgp-all,odl-bgpcep-bgp,odl-netconf-topology'
+    install-features: 'odl-restconf,odl-bgpcep-data-change-counter,odl-bgpcep-bgp,odl-netconf-topology'
 
     # Robot custom options:
     robot-options: '-v USE_NETCONF_CONNECTOR:False -v CHECK_PERIOD_PREFIX_COUNT_SINGLE:10 -v REPETITIONS_CHANGE_COUNT_SINGLE:3 -v CHECK_PERIOD_PREFIX_COUNT_MANY:10 -v TEST_DURATION_MULTIPLIER_PREFIX_COUNT_MANY:8.0 -v REPETITIONS_CHANGE_COUNT_MANY:10 -v MULTIPLICITY_CHANGE_COUNT_MANY:600 -v TEST_DURATION_MULTIPLIER_CHANGE_COUNT_MANY:8.0 '
@@ -77,7 +77,7 @@
             scope: 'all'
 
     # Features to install
-    install-features: 'odl-restconf,odl-bgpcep-bgp-all,odl-bgpcep-bgp,odl-bgpcep-data-change-counter,odl-netconf-topology'
+    install-features: 'odl-restconf,odl-bgpcep-bgp,odl-bgpcep-data-change-counter,odl-netconf-topology'
 
     # Robot custom options
     # Increase the TEST_DURATION_MULTIPLIER if the test runs in slower test environment or more complex scenario is chosen
index f6be5c9ee578c0ecd1dee53cac344087c039ff13..786da1ce33d0ec431780b9673a9d654d0bef1bcc 100644 (file)
         - boron:
             branch: 'stable/boron'
             jre: 'openjdk8'
+            install-features: 'odl-restconf,odl-bgpcep-bgp-all,odl-bgpcep-bgp,odl-netconf-clustered-topology'
         - beryllium:
             branch: 'stable/beryllium'
             jre: 'openjdk7'
+            install-features: 'odl-restconf,odl-bgpcep-bgp-all,odl-bgpcep-bgp,odl-netconf-clustered-topology'
 
     install:
         - only:
@@ -28,7 +30,7 @@
             scope: 'all'
 
     # Features to install
-    install-features: 'odl-restconf,odl-bgpcep-bgp-all,odl-bgpcep-bgp,odl-netconf-clustered-topology'
+    install-features: 'odl-restconf,odl-bgpcep-bgp,odl-netconf-clustered-topology'
 
     # Robot custom options:
     robot-options: '-v USE_NETCONF_CONNECTOR:False'
index c78c15b503618e0a2a73394f5d9160b19077868f..2d3f05ac0cf51e908f4ee5f01663211705dd6911 100644 (file)
         - boron:
             branch: 'stable/boron'
             jre: 'openjdk8'
+            install-features: 'odl-restconf,odl-bgpcep-pcep-all,odl-bgpcep-pcep'
         - beryllium:
             branch: 'stable/beryllium'
             jre: 'openjdk7'
+            install-features: 'odl-restconf,odl-bgpcep-pcep-all,odl-bgpcep-pcep'
 
     install:
         - only:
@@ -28,7 +30,7 @@
             scope: 'all'
 
     # Features to install
-    install-features: 'odl-restconf,odl-bgpcep-pcep-all,odl-bgpcep-pcep'
+    install-features: 'odl-restconf,odl-bgpcep-pcep'
 
     # Readiness check timeout is lowered from the suite's high default value.
     # The other options are workarounds for Sandbox not being as performant
index 7587a55525d187e05bbf1614c0a844ed7ec14c70..76ef3ff617588ff5148e18c2181c86f5aa4e3cb9 100644 (file)
@@ -34,7 +34,7 @@
 
     # Features to install
     # *-all is for Beryllium and Boron, without -all is for Boron and Carbon.
-    install-features: 'odl-restconf,odl-bgpcep-pcep-all,odl-bgpcep-bgp-all,odl-bgpcep-bgp,odl-bgpcep-pcep,odl-bgpcep-bmp,odl-jolokia'
+    install-features: 'odl-restconf,odl-bgpcep-pcep,odl-bgpcep-bgp,odl-bgpcep-bmp,odl-jolokia'
 
     # Robot custom options
     robot-options: '-v USE_NETCONF_CONNECTOR:False'
diff --git a/jjb/docs/docs-post-rtd.sh b/jjb/docs/docs-post-rtd.sh
new file mode 100644 (file)
index 0000000..7faa26f
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/bash
+if [ $GERRIT_BRANCH == "master" ]; then
+    RTD_BUILD_VERSION=latest
+else
+    RTD_BUILD_VERSION=${{GERRIT_BRANCH/\//-}}
+fi
+curl -X POST --data "version_slug=$RTD_BUILD_VERSION" https://readthedocs.org/build/{rtdproject}
index 5ad9ee2ea91223113c70889ea8243ce3621aca80..4ee3c238dbb05c3a675f3e82196393369c1197a3 100644 (file)
@@ -55,8 +55,7 @@
                       pattern: docs/**/*.rst
 
     builders:
-        - shell: |
-            curl -X POST https://readthedocs.org/build/{rtdproject}
+        - shell: !include-raw: docs-post-rtd.sh
 
     publishers:
         - email-notification:
index c7c4bd9a3d17beef46f586398f449e591c182dda..39487b6bf79ac1d903ae4010d2b1c8206848dc0e 100644 (file)
@@ -27,7 +27,7 @@
 
     # Mininet configuration
     tools_system_count: 2
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.3 - 20161110-2310
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.3 - 20170117-0004
 
     # Features to install
     install-features: 'odl-genius-ui'
index 4a7297738e6e390828e8e4d6b87c8f63809c1b1e..e36c248ab12605cd0b7658f5d92c0904a8977160 100644 (file)
@@ -30,7 +30,7 @@
 
     # 3 Ubuntu VMs in JCloud configuration
     tools_system_count: 3
-    tools_system_image: Ubuntu 14.04 - gbp - 20161031-0916
+    tools_system_image: Ubuntu 14.04 - gbp - 20170117-0042
 
     # Features to install
     install-features: 'odl-groupbasedpolicy-ofoverlay,odl-groupbasedpolicy-ui,odl-restconf-all'
index 1f457346ec8ed5b436294786328604a2f991d347..c6a70f3c983fa20d027bfa968063b8fdf6cf3d61 100644 (file)
@@ -30,7 +30,7 @@
 
     # 6 Ubuntu VMs in JCloud configuration
     tools_system_count: 6
-    tools_system_image: Ubuntu 14.04 - gbp - 20161031-0916
+    tools_system_image: Ubuntu 14.04 - gbp - 20170117-0042
 
     # Features to install
     install-features: 'odl-groupbasedpolicy-ofoverlay,
index 4d74f0cc94b626e4f05f5870f455286b9e87d781..052be2f5c28bb29d79dabe8ef05f9472e6f7d25f 100644 (file)
                 vtn-csit-1node-coordinator-only-{stream}
 
     # tools system image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
 # Template: integration-csit-verify-1node-library
 # Goal: Verify changes in csit folder not covered by projects suite verify jobs (e.g. libraries or variables)
index 773fb327a9414f0009e13ada41ee4fa525504345..8ac90cbf97d67ed2224b7370ca349a65c2d56549 100644 (file)
@@ -28,7 +28,7 @@
         - all:
             scope: 'all'
 
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.3 - 20161110-2310
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.3 - 20170117-0004
 
     # Features to install
     install-features: 'odl-lacp-ui'
index 689f236dec1552c9b992a41ccbe8245bd5585c53..a507761ea80d5773cd19156305ef02d9a981f1c0 100644 (file)
@@ -24,7 +24,7 @@
 
     # Job images
     odl_system_flavor: '8 GB General Purpose v1'
-    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804'
+    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004'
 
     # Features to install
     install-features: 'odl-openflowplugin-flow-services-ui,odl-openflowplugin-app-bulk-o-matic,odl-jolokia,decanter-collector-jmx,decanter-appender-elasticsearch'
index 237890acae7cbee5f393626aaab530e6e6a80062..3c245f23fb1cf9a82266d1191f83f776f7bfcf38 100644 (file)
@@ -24,7 +24,7 @@
 
     # Job images
     odl_system_flavor: 8 GB General Purpose v1
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Features to install
     install-features: 'odl-openflowplugin-flow-services-ui,odl-openflowplugin-app-bulk-o-matic,odl-jolokia,decanter-collector-jmx,decanter-appender-elasticsearch'
index ae067f5c9b691580a019ef5a3763c4dec58794e1..c10d0975023f429c8504b7f1e5b0f64d8ba90ad5 100644 (file)
@@ -30,7 +30,7 @@
     robot-options: '-v ODL_OF_PLUGIN:lithium'
 
     # mininet image
-    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804'
+    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004'
 
     # Trigger jobs (upstream dependencies)
     trigger-jobs: 'yangtools-distribution-{stream},controller-distribution-{stream},openflowjava-distribution-{stream},openflowplugin-distribution-{stream}'
index 8d7e55391e129b4793f301d33037287bd7ac161e..ae0718ea0b4e75e17d3a94a2c2260e9c8957d20a 100644 (file)
@@ -30,7 +30,7 @@
     robot-options: '-v flow_update_time:30s'
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Trigger jobs (upstream dependencies)
     trigger-jobs: 'yangtools-distribution-{stream},controller-distribution-{stream},openflowjava-distribution-{stream},openflowplugin-distribution-{stream}'
index a62e772c14dc70510c5ed5d657e7c6ecf4f5c180..f4eff57e5228bd22116b17a9b22bb83c666693e3 100644 (file)
@@ -28,7 +28,7 @@
     robot-options: ''
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Trigger jobs (upstream dependencies)
     trigger-jobs: 'yangtools-distribution-{stream},controller-distribution-{stream},openflowjava-distribution-{stream},openflowplugin-distribution-{stream}'
index 995df97d4d06a86ab193dc9abea90421d5430f01..d76163a49245b2b180abc89196867917807ff6af 100644 (file)
@@ -32,7 +32,7 @@
     robot-options: ''
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Trigger jobs (upstream dependencies)
     trigger-jobs: 'yangtools-distribution-{stream},controller-distribution-{stream},openflowjava-distribution-{stream},openflowplugin-distribution-{stream}'
index d37334e568572e1d357999ce093d9182a9da5253..f45aa573057ae5c35525bbcb6af4ecc04e53c98f 100644 (file)
@@ -29,7 +29,7 @@
     robot-options: ''
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Trigger jobs (daily)
     schedule: 'H H * * *'
index 8e3aa677b1311a9995b293439eaf643ee7dbd892..3debf748cdd8d4b99fbf10c6a5d567a2b6ed9698 100644 (file)
@@ -30,7 +30,7 @@
     robot-options: '-v TEST_LENGTH:23h'
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Trigger jobs (daily)
     schedule: 'H H * * *'
index e1281c765e384ca18782f632f284ac56e2e26ace..f984d9b0f7bf442549bb8f43bc71b45476473b6c 100644 (file)
@@ -24,7 +24,7 @@
 
     # Job images
     odl_system_flavor: 8 GB General Purpose v1
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Features to install
     install-features: 'odl-openflowplugin-flow-services-ui,odl-jolokia,decanter-collector-jmx,decanter-appender-elasticsearch'
index 7dfe8f27cee1706b30894863caa558eabfb139e6..adb77dd6ea3a27503ca8c3dbd4ec4afa40550cfa 100644 (file)
@@ -24,7 +24,7 @@
 
     # Job images
     odl_system_flavor: '8 GB General Purpose v1'
-    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804'
+    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004'
 
     # Features to install
     install-features: 'odl-openflowplugin-flow-services-ui,odl-jolokia,decanter-collector-jmx,decanter-appender-elasticsearch'
index d23e95baa400bf879ebe07b51c70d6239ec4145f..de535f19091449f45dfd5d4e59be17f7d5658f3b 100644 (file)
@@ -29,7 +29,7 @@
     robot-options: ''
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Trigger jobs (daily)
     schedule: 'H H * * *'
index 181d2b4c07a5b36bf8dc3ecdf690af498be42e49..dd9afa39c8c1653dcdcdc7f2685badeefbea8eeb 100644 (file)
     stack-template: csit-2-instance-type.yaml
     docker_system_count: 1
     docker_system_flavor: 4 GB General Purpose v1
-    docker_system_image: CentOS 7 - docker - 20161031-0802
+    docker_system_image: CentOS 7 - docker - 20170120-1434
     odl_system_count: 1
     odl_system_flavor: 4 GB General Purpose v1
-    odl_system_image: CentOS 7 - java-builder - 20161031-0802
+    odl_system_image: CentOS 7 - java-builder - 20170117-0004
     openstack_system_count: 1
     openstack_system_flavor: 8 GB General Purpose v1
-    openstack_system_image: CentOS 7 - devstack - 20161031-0802
+    openstack_system_image: CentOS 7 - devstack - 20170120-1710
     tools_system_count: 1
     tools_system_flavor: 2 GB General Purpose v1
-    tools_system_image: Ubuntu 14.04 - mininet - 20161031-0803
+    tools_system_image: Ubuntu 14.04 - mininet - 20170117-0003
 
     # Robot
     robot-options: ''
index 59b2a45a30ccb1add64a852b43c2e87579b86d23..cc8ddfc491d8678ffe64df885b0073c740fcb327 100644 (file)
@@ -6,7 +6,7 @@
         - 'builder-merge'
         - 'builder-weekly'
         - 'builder-check-poms'
-        - 'builder-verify-packer-{platforms}-{templates}'
+        - 'builder-verify-packer'
         - 'builder-merge-packer-{platforms}-{templates}'
 
     platforms:
             maven-version: 'mvn33'
 
 - job-template:
-    name: 'builder-verify-packer-{platforms}-{templates}'
+    name: 'builder-verify-packer'
     project-type: freestyle
     node: centos7-java-builder-2c-8g
     concurrent: true
index 91e7fe9eccf08a8391f6e85a96369208e3801e51..a6420e68153fb2e15775050379ed4a0bef36f55b 100644 (file)
                   variable: 'CLOUDENV'
         - shell: |
             cd packer
-            export PACKER_LOG="yes" && \
-            export PACKER_LOG_PATH="packer-validate.log" && \
-                        packer.io validate -var-file=$CLOUDENV \
-                         -var-file=../packer/vars/{platform}.json \
-                         ../packer/templates/{template}.json
+            varfiles="../packer/vars/*"
+            templates="../packer/templates/*"
+            provision="../packer/provision/*.sh"
+            for v in $varfiles; do
+                [[ "${{v##*/}}" =~ ^(cloud-env.*)$ ]] && continue
+                for t in $templates; do
+                    export PACKER_LOG="yes" && \
+                    export PACKER_LOG_PATH="packer-validate-${{v##*/}}-${{t##*/}}.log" && \
+                                packer.io validate -var-file=$CLOUDENV \
+                                -var-file=$v $t
+                    if [ $? -ne 0 ]; then
+                        break
+                    fi
+                done
+            done
+            for p in $provision; do
+                /bin/bash -n $p > provision-validate-${{p##*/}}.log 2>&1
+            done
 
 - builder:
     name: packer-build
index 155f2747fb275b74f76c59c8aea30baa0934a89f..fc0d5daa88d4276cd1fd94030425666c3ff97c7c 100644 (file)
@@ -35,7 +35,7 @@
     robot-options: ''
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Trigger jobs (upstream dependencies)
     trigger-jobs: 'ovsdb-distribution-{stream},unimgr-distribution-{stream},netvirt-distribution-{stream},genius-distribution-{stream}'
index aac85d123791005e78566d4cd916264affa502f8..0c07ba78e42e74c8c8b15b7e2f33b967ee42dc43 100644 (file)
@@ -31,7 +31,7 @@
     # Robot custom options
     robot-options: ''
 
-    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804'
+    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004'
 
     # Trigger jobs (upstream dependencies)
     trigger-jobs: 'openflowjava-distribution-{stream},openflowplugin-distribution-{stream},vtn-distribution-{stream}'
index b90579c7872180804f81cf595e2861cd96616308..395ca6bc9496325ae5502f717c244f366092a3e9 100644 (file)
         - carbon:
             branch: 'master'
             jre: 'openjdk8'
-            tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+            tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
         - boron:
             branch: 'stable/boron'
             jre: 'openjdk8'
-            tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+            tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
         - beryllium:
             branch: 'stable/beryllium'
             jre: 'openjdk7'
index ca9bd6637cd77e7031180c4aef5542754d223f2a..203d811a41801ffd96600e2ef5bc4736c3f6bd2a 100644 (file)
@@ -21,7 +21,7 @@
         - beryllium:
             branch: 'stable/beryllium'
             jre: 'openjdk7'
-            tools_system_image: Ubuntu 14.04 - mininet - 20161031-0803
+            tools_system_image: Ubuntu 14.04 - mininet - 20170117-0003
 
     install:
         - only:
@@ -35,7 +35,7 @@
     # Robot custom options
     robot-options: ''
 
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20161031-0804
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 
     # Trigger jobs (upstream dependencies)
     trigger-jobs: 'openflowjava-distribution-{stream},openflowplugin-distribution-{stream},vtn-distribution-{stream}'
index 84fc2d56b3c63b701adade163db00a5a9df2cff1..976cf4cf6c1dc820f62c213f56b455a3d834f4ea 100644 (file)
@@ -82,6 +82,10 @@ EOF
         ;;
     esac
 
+    # Needed to parse OpenStack commands used by opendaylight-infra stack commands
+    # to initialize Heat template based systems.
+    yum install -y jq
+
     # install haveged to avoid low entropy rejecting ssh connections
     yum install -y haveged
     systemctl enable haveged.service
@@ -138,9 +142,18 @@ EOF
     update-alternatives --set java /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java
     update-alternatives --set javac /usr/lib/jvm/java-7-openjdk-amd64/bin/javac
 
+    # Needed to parse OpenStack commands used by opendaylight-infra stack commands
+    # to initialize Heat template based systems.
+    apt-get install jq
+
     # install haveged to avoid low entropy rejecting ssh connections
     apt-get install haveged
     update-rc.d haveged defaults
+
+    # disable unattended upgrades & daily updates
+    echo '---> Disabling automatic daily upgrades'
+    sed -ine 's/"1"/"0"/g' /etc/apt/apt.conf.d/10periodic
+    echo 'APT::Periodic::Unattended-Upgrade "0";' >> /etc/apt/apt.conf.d/10periodic
 }
 
 all_systems() {
index 2dfd9ca6a88cc4660a0220e3493c69fc6009f06d..268d6c24f7d94b3b940d253b14baee5d4668c5a0 100644 (file)
@@ -7,10 +7,6 @@
 # inside project jobs using a virtualenv setup.
 yum install -y python-{devel,setuptools,virtualenv} @development
 
-# Needed to parse OpenStack commands used by opendaylight-infra stack commands
-# to initialize Heat template based systems.
-yum install -y jq
-
 # Install dependencies for robotframework and robotframework-sshlibrary
 # installed elsewhere
 yum install -y yum-utils unzip sshuttle nc libffi-devel openssl-devel